Bug 111488 - bonding fail whenever reboot
bonding fail whenever reboot
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: initscripts (Show other bugs)
3.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
LG
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-04 09:29 EST by chanyoung lee
Modified: 2014-03-16 22:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-22 11:40:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description chanyoung lee 2003-12-04 09:29:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.4)
Gecko/20030624 Netscape/7.1 (ax)

Description of problem:
environment : 
1) 2.4.21-4.ELsmp
2) Ethernet controller: Intel  82546EB Gigabit Ethernet Controller

Description
1)Bonding successful with # service network restart
2)Bonding lose phy Ether interface(Slave) in ifconfig command *after
reboot.

Version-Release number of selected component (if applicable):
RHEL3

How reproducible:
Always

Steps to Reproduce:
1)/etc/modules.conf
alias eth0 e100
alias eth1 e100
alias eth2 e1000
alias eth3 e1000
alias eth4 e1000
alias eth5 e1000
alias scsi_hostadapter aic7xxx
alias usb-controller usb-ohci
alias bond0 bonding

2)ifcfg-bond0
DEVICE=bond0
IPADDR=192.168.142.182
NETMASK=255.255.255.0
NETWORK=192.168.142.0
BROADCAST=192.168.142.255
ONBOOT=yes
BOOTPROTO=none
USERCTL=no

3) ifcfg-eth4
DEVICE=eth4
USERCTL=no
ONBOOT=yes
MASTER=bond0
SLAVE=yes
BOOTPROTO=none

4) ifcfg-eth5
DEVICE=eth4
USERCTL=no
ONBOOT=yes
MASTER=bond0
SLAVE=yes
BOOTPROTO=none

5)reboot
    

Actual Results:  after reboot, the result of ifconfig are as follows.
======================================================================
bond0     Link encap:Ethernet  HWaddr 00:07:E9:08:F5:3D  
UP BROADCAST RUNNING MASTER MULTICAST  MTU:1500  Metric:1
RX packets:249151 errors:0 dropped:0 overruns:0 frame:0
TX packets:122 errors:0 dropped:0 overruns:0 carrier:0
collisions:0 txqueuelen:0 
RX bytes:16416842 (15.6 Mb)  TX bytes:7898 (7.7 Kb)

eth0      Link encap:Ethernet  HWaddr 00:03:47:32:80:6A  
inet addr:10.10.10.38  Bcast:10.10.10.255  Mask:255.255.255.0
UP BROADCAST MULTICAST  MTU:1500  Metric:1
RX packets:0 errors:0 dropped:0 overruns:0 frame:0
TX packets:0 errors:18 dropped:0 overruns:0 carrier:18
collisions:0 txqueuelen:1000 
RX bytes:0 (0.0 b)  TX bytes:756 (756.0 b)
Interrupt:21 Base address:0x1400 Memory:fe8e0000-fe8e0038 

eth1      Link encap:Ethernet  HWaddr 00:03:47:32:80:6C  
inet addr:10.10.20.38  Bcast:10.10.20.255  Mask:255.255.255.0
UP BROADCAST MULTICAST  MTU:1500  Metric:1
RX packets:0 errors:0 dropped:0 overruns:0 frame:0
TX packets:0 errors:18 dropped:0 overruns:0 carrier:18
collisions:0 txqueuelen:1000 
RX bytes:0 (0.0 b)  TX bytes:756 (756.0 b)
 Interrupt:20 Base address:0x1440 Memory:fe880000-fe880038 

eth2      Link encap:Ethernet  HWaddr 00:07:E9:08:F3:BF  
inet addr:192.168.1.140  Bcast:192.168.1.255  Mask:255.255.255.0
UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
RX packets:142263 errors:0 dropped:0 overruns:0 frame:0
TX packets:765 errors:0 dropped:0 overruns:0 carrier:0
collisions:0 txqueuelen:1000 
RX bytes:9359044 (8.9 Mb)  TX bytes:54244 (52.9 Kb)
Interrupt:24 Base address:0x4000 Memory:febe0000-fec00000 

eth3      Link encap:Ethernet  HWaddr 00:07:E9:08:F3:BE  
inet addr:192.168.1.141  Bcast:192.168.1.255  Mask:255.255.255.0
UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
RX packets:157228 errors:0 dropped:0 overruns:0 frame:0
TX packets:9635 errors:0 dropped:0 overruns:0 carrier:0
collisions:0 txqueuelen:1000 
RX bytes:21876837 (20.8 Mb)  TX bytes:999717 (976.2 Kb)
Interrupt:25 Base address:0x4040 Memory:febc0000-febe0000 
=========================================================

Expected Results:  eth4,eth4 also must be up rin ifconfig command.

Additional info:
Comment 1 Bill Nottingham 2003-12-04 11:45:56 EST
So, this only happens on network startup? What happens if you run
'ifup bond0' from the command line?
Comment 2 chanyoung lee 2003-12-04 20:58:05 EST
Sorry Actual result is as follows.
----------------------------------
autually bond0 was up and have ip address, but eth4,eth5 not shown 
and ping to bond0 not working

bond0     Link encap:Ethernet  HWaddr 00:07:E9:08:F5:3D  
          inet addr:192.168.142.182  Bcast:192.168.142.255  
Mask:255.255.255.0
          UP BROADCAST RUNNING MASTER MULTICAST  MTU:1500  Metric:1
          RX packets:249151 errors:0 dropped:0 overruns:0 frame:0
          TX packets:122 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:16416842 (15.6 Mb)  TX bytes:7898 (7.7 Kb)

eth0      Link encap:Ethernet  HWaddr 00:03:47:32:80:6A  
          inet addr:10.10.10.38  Bcast:10.10.10.255  
Mask:255.255.255.0
          UP BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:18 dropped:0 overruns:0 carrier:18
          collisions:0 txqueuelen:1000 
          RX bytes:0 (0.0 b)  TX bytes:756 (756.0 b)
          Interrupt:21 Base address:0x1400 Memory:fe8e0000-fe8e0038 

eth1      Link encap:Ethernet  HWaddr 00:03:47:32:80:6C  
          inet addr:10.10.20.38  Bcast:10.10.20.255  
Mask:255.255.255.0
          UP BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:18 dropped:0 overruns:0 carrier:18
          collisions:0 txqueuelen:1000 
          RX bytes:0 (0.0 b)  TX bytes:756 (756.0 b)
          Interrupt:20 Base address:0x1440 Memory:fe880000-fe880038 

eth2      Link encap:Ethernet  HWaddr 00:07:E9:08:F3:BF  
          inet addr:192.168.1.140  Bcast:192.168.1.255  
Mask:255.255.255.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:142263 errors:0 dropped:0 overruns:0 frame:0
          TX packets:765 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:9359044 (8.9 Mb)  TX bytes:54244 (52.9 Kb)
          Interrupt:24 Base address:0x4000 Memory:febe0000-fec00000 

eth3      Link encap:Ethernet  HWaddr 00:07:E9:08:F3:BE  
          inet addr:192.168.1.141  Bcast:192.168.1.255  
Mask:255.255.255.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:157228 errors:0 dropped:0 overruns:0 frame:0
          TX packets:9635 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:21876837 (20.8 Mb)  TX bytes:999717 (976.2 Kb)
          Interrupt:25 Base address:0x4040 Memory:febc0000-febe0000
Comment 3 Bill Nottingham 2003-12-04 22:09:53 EST
What happens if you run 'ifdown bond0 ; ifup bond0' in this case?
Comment 5 Travers 2004-02-02 22:51:52 EST
I am getting this same problem except a network restart will not bring
up eth0 and eth1 for me.
I am using kernel 2.4.9-e.35smp, initscripts-6.47.6-1, and
ethtool-1.8-0.2.

NOTE: this only started after an upgrade from the original RE2.1
version of initscripts.  The old initscripts package brought up the
interfaces, but not the default gateway.

Support techs told me to post this here to see if we can help each other.
Comment 6 Bill Nottingham 2004-02-03 00:11:09 EST
The setup is different in RHEL 2.1 and RHEL 3.... you're probably
looking at bug 112926.
Comment 7 Bill Nottingham 2005-02-22 11:40:30 EST
Closing, no response to query for more information.
Comment 8 umed 2008-04-23 00:10:41 EDT
>3) ifcfg-eth4
>DEVICE=eth4

>4) ifcfg-eth5
>DEVICE=eth4

Settings of eth4 and eth5 conflicts.
See above, DEVICE section is same value.

# cat /etc/sysconfig/network-scripts/ifcfg-eth5 | grep ^DEVICE
DEVICE=eth5

Note You need to log in before you can comment on or make changes to this bug.